Bug 5689 - System preference notifications are not translatable
Summary: System preference notifications are not translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-03 15:42 UTC by Owen Leonard
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (4.93 KB, patch)
2011-02-03 16:00 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-02-03 15:42:33 UTC
There are many English strings in preferences.js which cannot be translated because they are not part of the template:

humanMsg.displayAlert( 'Nothing to save' );
...
name_cell.append( '<em class="modified-warning">(modified)</em>' );
...
return _( "You have made changes to system preferences." );

...etc.

These parts of the script should use strings defined in the template so that they can be translatable.
Comment 1 Owen Leonard 2011-02-03 16:00:03 UTC
Created attachment 3061 [details] [review]
Proposed fix
Comment 2 Chris Cormack 2011-02-04 00:41:26 UTC
Pushed please test
Comment 3 MJ Ray (software.coop) 2011-03-03 08:36:41 UTC
This bug is mentioned in:
Fix for Bug 5689 - System preference	notifications are not translatable http://lists.koha-community.org/pipermail/koha-patches/2011-February/013756.html
Fix for Bug 5689 - System	preference notifications are not translatable http://lists.koha-community.org/pipermail/koha-patches/2011-February/013760.html